# $Revision: 1.33 $, $Date: 2010/06/06 08:43:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Iconv
Summary:	Text::Iconv - Perl interface to iconv() codeset conversion function
Summary(pl.UTF-8):	Text::Iconv - perlowy interfejs do funkcji przekodowującej iconv()
Name:		perl-Text-Iconv
Version:	1.7
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81b26e069eaebb084e91ea3c009b67ae
URL:		http://search.cpan.org/dist/Text-Iconv/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%description -l pl.UTF-8
Ten moduł dostarcza interfejs Perla do funkcji iconv() konwertującej
pomiędzy kodowaniami znaków, zgodnej z Single UNIX Specification.
Więcej informacji znajduje się w manualu Text::Iconv(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Text/Iconv.pm
%dir %{perl_vendorarch}/auto/Text/Iconv
%{perl_vendorarch}/auto/Text/Iconv/autosplit.ix
%{perl_vendorarch}/auto/Text/Iconv/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Iconv/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Iconv.spec,v $
Revision 1.33  2010/06/06 08:43:23  arekm
- release 5

Revision 1.32  2009/03/13 22:43:44  hawk
- release 4

Revision 1.31  2008/03/02 18:11:18  radek
- release 3

Revision 1.30  2008-02-10 12:21:22  arekm
- rel 2

Revision 1.29  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.28  2008-01-03 12:51:14  qboosh
- generic URL, informative summaries

Revision 1.27  2007-12-31 00:06:10  zbyniu
- up to 1.7

Revision 1.26  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.24  2004/11/03 22:30:50  paladine
- formatting

Revision 1.23  2004/08/08 17:04:18  adamg
- updated to 1.4

Revision 1.22  2004/05/07 00:38:13  ankry
- rel. 4

Revision 1.21  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.20  2004/05/03 01:34:54  ankry
- license fixes, cosmetics

Revision 1.19  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.18  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.17  2003/08/18 08:09:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/01 21:34:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:38:50  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/08/04 00:55:27  qboosh
- it can't be noarch!!!
- fixed perms, removed .packlist; release 2

Revision 1.10  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.9  2002/07/11 08:05:07  depesz
- new version; should work; STBR

Revision 1.8  2002/07/10 09:01:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.7  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.6  2002/02/25 10:34:52  depesz
cleanup; revision++

Revision 1.5  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/18 10:27:09  qboosh
- pl description, release 2

Revision 1.3  2002/02/17 17:35:10  kloczek
- adapterized and few cosmetics.

Revision 1.2  2002/02/17 17:17:11  depesz
- typo

Revision 1.1  2002/02/17 17:13:11  depesz
- initial release, STBR
